Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.util
Class MultiMap<X,Y>

    java.lang.Object
      edu.stanford.smi.protege.util.MultiMap<X,Y>

Direct Known Subclasses:
  ArrayListMultiMap, ListMultiMap, SetMultiMap

    public abstract class MultiMap<X,Y>

extends Object

Abstract implementation of a "multimap" (a map from a key to a collection of values). This inteface leaves unspecified the type of collection that contains the values. The collection type is then specified in the derived classes.

Author:
  Ray Fergerson

Constructor Summary
`protected` | `MultiMap()`
`protected` | `MultiMap(int initSize)`

Method Summary
`void` | `addValue(X key, Y value)`
`void` | `addValues(X key, Collection<Y> values)`
`void` | `clear()`
`abstract Collection<Y>` | `createCollection()`
`Collection<X>` | `getKeys()`
`Collection<Y>` | `getValues(X key)`
`Collection<Y>` | `removeKey(X key)`
`void` | `removeValue(X key, Y value)`
`void` | `removeValues(X key, Collection<Y> values)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultiMap

    protected MultiMap()

### MultiMap

    protected MultiMap(int initSize)

Method Detail

### addValue

    public void addValue(X key,
                         Y value)

### addValues

    public void addValues(X key,
                          Collection<Y> values)

### createCollection

    public abstract Collection<Y> createCollection()

### getKeys

    public Collection<X> getKeys()

### getValues

    public Collection<Y> getValues(X key)

### removeKey

    public Collection<Y> removeKey(X key)

### removeValue

    public void removeValue(X key,
                            Y value)

### removeValues

    public void removeValues(X key,
                             Collection<Y> values)

### clear

    public void clear()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.